from Products.CMFCore.utils import ContentInit, ToolInit
from Products.CMFCore.DirectoryView import registerDirectory
from Products.CMFCore import utils as cmfutils
from Products.CMFCore.CMFCorePermissions import AddPortalContent

registerDirectory('skins', globals())

import University
import Students
import Accommodation
import Faculty
import Widgets
import WAeUPPermissions
import WAeUPTool

tools = (
    WAeUPTool.WAeUPTool,
)

fti = (Students.student_fti,
       Students.studentdocuments_fti,
       Students.studentpersonal_fti,
       Students.studenteligibility_fti,
       Students.jamb_fti,
       Students.study_level_fti,
       Students.semester_fti,
       Accommodation.accofolder_fti,
       Accommodation.accommodation_fti,
       Faculty.faculty_fti,
       Faculty.department_fti,
       Faculty.course_fti,
       Faculty.course_ticket_fti,
      )

contentClasses = (University.University,
                  Students.StudentsFolder,
                  Students.Student,
                  Students.StudentDocuments,
                  Students.StudentPersonal,
                  Students.StudentEligibility,
                  Students.Jamb,
                  Students.StudyLevel,
                  Students.Semester,
                  Accommodation.AccoFolder,
                  Accommodation.Accommodation,
                  Faculty.Faculty,
                  Faculty.Department,
                  Faculty.Course,
                  Faculty.CourseTicket,
                 )

contentConstructors = (University.addUniversity,
                       Students.addStudentsFolder,
                       Students.addStudent,
                       Students.addStudentDocuments,
                       Students.addStudentPersonal,
                       Students.addStudentEligibility,
                       Students.addJamb,
                       Students.addStudyLevel,
                       Students.addSemester,
                       Accommodation.addAccommodation,
                       Accommodation.addAccoFolder,
                       Faculty.addFaculty,
                       Faculty.addDepartment,
                       Faculty.addCourse,
                       Faculty.addCourseTicket,
                       )

def initialize(context):
    ToolInit(
        'WAeUP Tool',
        tools = tools,
        icon = 'tool.png',
    ).initialize(context)

    ContentInit(
        'WAeUP Contenttypes',
        content_types=contentClasses,
        permission=AddPortalContent,
        extra_constructors=contentConstructors,
        fti=fti,
        
    ).initialize(context)
        
    context.registerClass(WAeUPTool.WAeUPTool,
                          constructors=(WAeUPTool.addWAeUPToolForm,
                          WAeUPTool.addWAeUPTool,))

